Updates the statuses of tasks.

POSThttps://api.awork.com/api/v1/tasks/changestatuses
POST https://api.awork.com/api/v1/tasks/changestatuses

Updates the statuses of tasks. The selected status is applied to the listed tasks.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Request body Required

The change Status form list.

application/json

taskIdstringRequired
format: uuid

The id of the task.

statusIdstringRequired
format: uuid

The id of the task status.

ordernumber or nullOptional
format: double

The order of the status int the new task status. The task is appended to the end if the Order is not set.

Responses

204 No Content
207 Multi-Status
400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation